Bug 853340 - [RHEVM][backend] [Host Networking] DC/CL 3.0 Save Network Configuration button is not enabled properly for 3.0 hosts
[RHEVM][backend] [Host Networking] DC/CL 3.0 Save Network Configuration butto...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: lpeer
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 03:09 EDT by Martin Pavlik
Modified: 2016-02-10 14:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-02 03:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (4.85 KB, application/x-gzip)
2012-08-31 03:09 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-31 03:09:13 EDT
Created attachment 608408 [details]
vdsm.log + engine.log

This bug raised from https://bugzilla.redhat.com/show_bug.cgi?id=850857 where GUI part of the issue was fixed, now there is a problem with backend

Description of problem:

DC/CL 3.0 Save Network Configuration button is not enabled properly for 3.0 hosts

The "Save network configuration" is enabled according to the "NetConfigDirty" flag, reported by the vdsm.

In 3.0 hosts the flag was reported on vdsStats.
In 3.1 hosts the flag is reported on both vdsStats and vdsCaps.

It seems that the backend reads the flag from the vdsCaps- so there is no backward compatability to 3.0 hosts.


Version-Release number of selected component (if applicable):
DC/CL 3.0 Save Network Configuration button is not enabled properly for 3.0 hosts

How reproducible:
100%

Steps to Reproduce:
Steps to Reproduce:
1. Add host (with 3.0 vdsm) to cluster 3.0
2. Create logical network
3. Hosts -> your host (in maintenance) -> Network interfaces -> some free NIC -> 
 add/edit -> Boot Protocol: static (fill in valid IP/mask) -> do NOT check Save network Configuration -> click OK  (see screenshots)

  
Actual results:
Save Network Configuration button is NOT enabled

Expected results:
Save Network Configuration button IS enabled

Additional info:
Comment 1 lpeer 2012-09-02 03:56:56 EDT
3.0 hosts did not report the NetConfigDirty in getCaps (only in stats) so the engine should not read this property in getVdsCaps. 

If the host is in maintenance then statistics are not being collected, the save configuration button won't be updated.

This was fixed in 3.1 hosts, so in cluster 3.1 this should not happen.

Note You need to log in before you can comment on or make changes to this bug.